5. Certificate Management
5.1. GetTaxCertURL - URL to register the certificate
GET
https://popbill-test.linkhub.co.kr/Member
GET
https://popbill.linkhub.co.kr/Member
- This API returns the URL to register a certificate for issuance on POPBiLL authentication server.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : CERT |
Request Example
curl --request GET \
--url 'https://{domain}/Member?TG=CERT' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=FFXMY6SEHFVDD27TUYBESQ7...XYK2NPF5NLWKD2==="
}
5.2. GetCertificateExpireDate - Check the expiration date of a certificate
GET
https://popbill-test.linkhub.co.kr/Taxinvoice
GET
https://popbill.linkhub.co.kr/Taxinvoice
- This API checks the expiration date of a certificate that is registered on POPBiLL authentication server.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| cfg | string | - | Y | Fixed value : CERT |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice?cfg=CERT' \
--header 'Authorization: Bearer {token}' \
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| certificateExpiration | string | 14 |
Expiration date of a certificate
format : yyyyMMddHHmmss
|
Response Example
{
"certificateExpiration": "20260706145209"
}
5.3. CheckCertValidation - Validate the certificate
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/CertCheck
GET
https://popbill.linkhub.co.kr/Taxinvoice/CertCheck
- This API validates the certificate registered on POPBiLL authentication server.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/CertCheck' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "유효성 확인"
}
5.4. GetTaxCertInfo - Check the information of a certificate
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/Certificate
GET
https://popbill.linkhub.co.kr/Taxinvoice/Certificate
- This API checks the information of a certificate registered on POPBiLL authentication server.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/Certificate' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| regDT | string | 14 |
Date and time of the registration
Format : yyyyMMddHHmmss
Date of creation of the certificate on the POPBiLL certification server |
|
| expireDT | string | 14 |
Date and time of the expiration of the registered certificate
Format : yyyyMMddHHmmss
|
|
| issuerDN | string | 200 | DN of the certificate issuer | |
| subjectDN | string | 200 | DN of the registered certificate | |
| issuerName | string | 12 |
Type of certificate
전자세금용 공동인증서 joint certificate for issuing e-Tax invoices
팝빌 특목용 공동인증서POPBiLL special purpose joint certificate
기타others
|
|
| OID | string | 30 | OID | |
| regContactName | string | 100 |
Name of the person in charge of certificate registration
a person who registered the joint certificate within POPBiLL authentication server
|
|
| regContactID | string | 50 |
ID of the person in charge of certificate registration
a person who registered the joint certificate within POPBiLL authentication server
|
Response Example
{
"issuerDN": "CN=TradeSignCA4, OU=AccreditedCA, O=TradeSign, C=KR",
"subjectDN": "CN=테스트(KTNET), OU=KTNET, OU=LicensedCA, O=TradeSign, C=KR",
"oid": "1.2.410.200012.1.1.3",
"regDT": "20250711112305",
"regContactID": "등록 담당자 아이디",
"expireDT": "20260706145209",
"issuerName": "기타 [1.2.410.200012.1.1.3]",
"regContactName": "등록 담당자 성명"
}
